Skip to main content
GET
/
public
/
workspaces
List workspaces
curl --request GET \
  --url https://api.userplane.io/api/v1/public/workspaces \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.userplane.io/api/v1/public/workspaces"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.userplane.io/api/v1/public/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "workspaces": [
      {
        "workspaceId": "<string>",
        "workspaceName": "<string>",
        "createdAt": "<unknown>",
        "updatedAt": "<unknown>",
        "workspaceMembership": {
          "workspaceMemberId": "<string>",
          "workspaceJoinedAt": "<unknown>"
        }
      }
    ],
    "total": 4503599627370495,
    "pagination": {
      "page": 123,
      "perPage": 123,
      "total": 4503599627370495,
      "totalPages": 4503599627370495,
      "hasMore": true
    }
  }
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request parameters. Check the request body and query parameters. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key is required. Include it as Authorization: Bearer <your-api-key>. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "The API key is disabled. Enable it or create a new key. See https://docs.userplane.io/api/authentication",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace not found",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Workspace has been deleted",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Rate limit exceeded. Wait and retry with exponential backoff. See https://docs.userplane.io/api/rate-limits",
"data": "<unknown>"
}
{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "API key verification service is temporarily unavailable. Please try again later. See https://docs.userplane.io/api/error-handling",
"data": "<unknown>"
}
Returns a paginated list of workspaces the authenticated user belongs to.

Errors

This endpoint only returns common authentication errors.

Get Workspace

Retrieve details for a specific workspace

Get Current User

Your profile and aggregate stats

List Projects

Projects within a workspace

Pagination

Page-based pagination for list endpoints

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Query Parameters

page
integer
default:1
required
Required range: x <= 9007199254740991
per_page
integer
default:10
required
Required range: 1 <= x <= 20
include_workspace_membership
boolean
default:false
required

Response

OK

message
string
required
data
object
required